
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following possible cleanups:
- make the needlessly global function __nvram_set_checksum static
- #if 0 the unused global function nvram_set_checksum
- remove the EXPORT_SYMBOL's for both functions

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/nvram.c  |    6 +++---
 include/linux/nvram.h |    2 --
 2 files changed, 3 insertions(+), 5 deletions(-)

diff -puN drivers/char/nvram.c~drivers-char-nvramc-possible-cleanups drivers/char/nvram.c
--- 25/drivers/char/nvram.c~drivers-char-nvramc-possible-cleanups	2005-04-30 13:22:52.569656008 -0700
+++ 25-akpm/drivers/char/nvram.c	2005-04-30 13:22:52.576654944 -0700
@@ -211,12 +211,13 @@ nvram_check_checksum(void)
 	return rv;
 }
 
-void
+static void
 __nvram_set_checksum(void)
 {
 	mach_set_checksum();
 }
 
+#if 0
 void
 nvram_set_checksum(void)
 {
@@ -226,6 +227,7 @@ nvram_set_checksum(void)
 	__nvram_set_checksum();
 	spin_unlock_irqrestore(&rtc_lock, flags);
 }
+#endif  /*  0  */
 
 /*
  * The are the file operation function for user access to /dev/nvram
@@ -921,6 +923,4 @@ EXPORT_SYMBOL(__nvram_write_byte);
 EXPORT_SYMBOL(nvram_write_byte);
 EXPORT_SYMBOL(__nvram_check_checksum);
 EXPORT_SYMBOL(nvram_check_checksum);
-EXPORT_SYMBOL(__nvram_set_checksum);
-EXPORT_SYMBOL(nvram_set_checksum);
 MODULE_ALIAS_MISCDEV(NVRAM_MINOR);
diff -puN include/linux/nvram.h~drivers-char-nvramc-possible-cleanups include/linux/nvram.h
--- 25/include/linux/nvram.h~drivers-char-nvramc-possible-cleanups	2005-04-30 13:22:52.571655704 -0700
+++ 25-akpm/include/linux/nvram.h	2005-04-30 13:22:52.575655096 -0700
@@ -20,8 +20,6 @@ extern void __nvram_write_byte(unsigned 
 extern void nvram_write_byte(unsigned char c, int i);
 extern int __nvram_check_checksum(void);
 extern int nvram_check_checksum(void);
-extern void __nvram_set_checksum(void);
-extern void nvram_set_checksum(void);
 #endif
 
 #endif  /* _LINUX_NVRAM_H */
_
